#
# spec file for package perl-Object-Signature
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Object-Signature
Version:        1.07
Release:        17.5
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name Object-Signature
Summary:        Generate cryptographic signatures for objects
Url:            http://search.cpan.org/dist/Object-Signature/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/A/AD/ADAMK/Object-Signature-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Digest::MD5) >= 2.00
Requires:       perl(Digest::MD5) >= 2.00
%{perl_requires}

%description
the Object::Signature manpage is an abstract base class that you can
inherit from in order to allow your objects to generate unique
cryptographic signatures.

The method used to generate the signature is based on the Storable manpage
and the Digest::MD5 manpage. The object is fed to 'Storable::nfreeze' to
get a string, which is then passed to the Digest::MD5::md5_hex manpage to
get a unique 32 character hexidecimal signature.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu Mar 31 2011 coolo@novell.com
- update to version 1.07
  - Updating to Module::Install::DSL 1.00
  - Removing the use of prefork as the modules we use are fairly small
  - Removed -w from test scripts to be compatible with tainting
  - Added the specialised subclass Object::Signature::File
* Mon Jan 17 2011 coolo@novell.com
- initial package 1.05
  * created by cpanspec 1.78.03
